Ticket #42046

set_socket_errno() not handling WSAEADDRNOTAVAIL

Open Date: 2021-04-21 13:19 Last Update: 2021-12-06 09:30

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
4

Details

set_socket_errno() does not handle WSAEADDRNOTAVAIL correctly, but assumes it to lack mapping in net_types.h.

Ticket History (3/9 Histories)

2021-04-21 13:19 Updated by: cazfi
  • New Ticket "set_socket_errno() not handling WSAEADDRNOTAVAIL" created
2021-12-01 07:05 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.0 (closed)
2021-12-01 21:33 Updated by: cazfi
  • Resolution Update from Accepted to None
Comment

Current patch has a typo in it, missing E from WSAEADDRNOTAVAIL.

2021-12-01 23:19 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

Fixed versions

2021-12-06 09:30 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login